configure: Look for both Xapian 1.1 and 1.0 and allow user override.